/* timecode.h
 * Timecode routines
 * Copyright (c) 2002 - SpectSoft
 */


#ifndef _TIMECODE_H
#define _TIMECODE_H

/* Time code types */
enum TC_TYPE {TC_TYPE_ERR, TC_TYPE_30, TC_TYPE_25, TC_TYPE_24, TC_TYPE_60, TC_TYPE_30DF};

/* Standard Timecode type (struct) */
typedef struct {
	unsigned char	hour;
	unsigned char	min;
	unsigned char	sec;
	unsigned char	frame;
	unsigned char	type;
	unsigned char	user[4];
} tc_s;


/* Function Definitions */
unsigned int tc_frame_to_timecode (unsigned int frame_number, tc_s *timecode);
unsigned int tc_timecode_to_frame (tc_s *timecode);
unsigned int tc_timecode_to_string(tc_s *timecode, char *timecode_string);
unsigned int tc_string_to_timecode(char *timecode_string, tc_s *timecode);
unsigned int tc_type_to_string(unsigned int tc_type, char *type);
unsigned int tc_string_to_type(char *type);
unsigned int tc_string_to_frame(char *sframe);
unsigned int tc_frame_to_string(unsigned int frame, char *sframe);
#endif  /* _TIMECODE_H Defined */


